unit SpellCheckerForm;

interface

uses
   Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
   StdCtrls, ImgList, ExtCtrls, rmImageListGraphic, rmWordTree, Buttons,
   rmPanel, rmDataStorage, ZLIBArchive, rmInspector, rmTrayIcon, rmTabs3x;

type
  TForm1 = class(TForm)
    ImageList1: TImageList;
    SaveDialog1: TSaveDialog;
    rmBinaryDataStorage1: TrmBinaryDataStorage;
    rmPanel2: TrmPanel;
    rmImageListGlyph1: TrmImageListGlyph;
    Edit1: TEdit;
    rmWordTree1: TrmWordTree;
    rmPanel4: TrmPanel;
    rmTabSet1: TrmTabSet;
    Notebook1: TNotebook;
    ListBox2: TListBox;
    ListBox1: TListBox;
    procedure FormCreate(Sender: TObject) ;
    procedure Edit1Change(Sender: TObject) ;
    procedure rmTabSet1Change(Sender: TObject; NewTab: Integer;
      var AllowChange: Boolean);
  private
  { Private declarations }
  public
  { Public declarations }
  end;

var
   Form1: TForm1;

implementation

uses unit2;

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject) ;
var
   fstrm: TStream;
begin
   screen.Cursor := crhourglass;
   form2 := TForm2.create(self) ;
   try
      form2.Repaint;
      if paramcount = 1 then
      begin
         fstrm := TFileStream.create(paramstr(1) , fmOpenRead + fmShareDenyWrite);
         try
            fstrm.ReadComponent(rmWordTree1) ;
            edit1change(self) ;
         finally
            fstrm.free;
         end;
      end
      else
      begin
         rmBinaryDataStorage1.data.ReadComponent(rmWordTree1) ;
      end;
      form2.Repaint;
      form2.Repaint;
   finally
      form2.free;
      form2 := nil;
      screen.Cursor := crdefault;
   end;
end;

procedure TForm1.Edit1Change(Sender: TObject) ;
begin
   if edit1.text = '' then
      rmImageListGlyph1.ImageIndex := 0
   else
   begin
      if rmWordTree1.IsWord(edit1.text) then
         rmImageListGlyph1.ImageIndex := 1
      else
      begin
         rmImageListGlyph1.ImageIndex := 2;

         Listbox2.items.beginupdate;
         try
            ListBox2.Items.Clear;
            rmWordTree1.LoadSEMatches(edit1.text, listbox2.items) ;
         finally
            Listbox2.items.endupdate;
         end;

         Listbox1.items.beginupdate;
         try
            ListBox1.Items.Clear;
            rmWordTree1.LoadPartialMatches(edit1.text, listbox1.items) ;
         finally
            Listbox1.items.endupdate;
         end;
      end;
   end;
end;

procedure TForm1.rmTabSet1Change(Sender: TObject; NewTab: Integer;
  var AllowChange: Boolean);
begin
   Notebook1.PageIndex := newtab;
end;

end.

